API Reference
Hanzo DID API
Hanzo DID provides decentralized identity, user profiles, organization
Hanzo DID provides decentralized identity, user profiles, organization
Hanzo DID API · Guide & examples → · All API references →
| Base URL | https://did.hanzo.ai |
| Version | 1.0.0 |
| Operations | 15 |
| Guide | Hanzo DID API guide |
Authentication
bearerAuth— HTTP bearerBearerAuth— HTTP bearer
All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.
curl -H "Authorization: Bearer $HANZO_API_KEY" https://did.hanzo.aiEndpoints
Directories
| Method | Endpoint | Description |
|---|---|---|
GET | /v1/did/directories/{organization} | Get organization directory |
GET | /v1/did/directories/{organization}/teams | List teams |
POST | /v1/did/directories/{organization}/teams | Create a team |
GET | /v1/did/directories/{organization}/teams/{team} | Get team members |
Health
| Method | Endpoint | Description |
|---|---|---|
GET | /health | Health check |
Identity Resolution
| Method | Endpoint | Description |
|---|---|---|
GET | /v1/did/profiles/{profile_id}/identities | List linked identities |
POST | /v1/did/profiles/{profile_id}/identities | Link an external identity |
DELETE | /v1/did/profiles/{profile_id}/identities/{provider} | Unlink an external identity |
GET | /v1/did/resolve | Resolve identity across providers |
Profiles
| Method | Endpoint | Description |
|---|---|---|
GET | /v1/did/profiles | List profiles |
GET | /v1/did/profiles/{profile_id} | Get a profile |
PUT | /v1/did/profiles/{profile_id} | Update a profile |
GET | /v1/did/profiles/{profile_id}/history | Get profile change history |
SCIM
| Method | Endpoint | Description |
|---|---|---|
GET | /v1/did/scim/v2/Users | SCIM list users |
POST | /v1/did/scim/v2/Users | SCIM create user |
How is this guide?